Bug 602176 - SUMMARY -> TIMELINE UI distorted
Summary: SUMMARY -> TIMELINE UI distorted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 3.0.0
Hardware: All
OS: Linux
urgent
medium vote
Target Milestone: ---
: ---
Assignee: Lukas Krejci
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: rhq_triage jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-06-09 10:11 UTC by Rajan Timaniya
Modified: 2010-08-12 16:54 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:54:54 UTC


Attachments (Terms of Use)
screenshot (99.56 KB, image/png)
2010-06-09 10:11 UTC, Rajan Timaniya
no flags Details

Description Rajan Timaniya 2010-06-09 10:11:58 UTC
Created attachment 422497 [details]
screenshot

Description of problem:
SUMMARY-> TIMELINE UI distorted, its 'Filter' and 'Highlight' input box looks ugly.

Please refer screenshot.

Version-Release number of selected component (if applicable):
JON 2.4Beta1

How reproducible:
Always

Steps to Reproduce:
1. Log-in to JON server
2. Select platform or JBossAS Server
3. Click on SUMMARY -> TIMELINE tab
4. Try to use 'Filter' and 'Highlight' input box
  
Actual results:
SUMMARY-> TIMELINE UI distorted, its 'Filter' and 'Highlight' input box looks ugly.

Expected results:
SUMMARY->TIMELINE UI should show all input box.

Additional info:

Comment 1 Charles Crouch 2010-06-18 12:46:18 UTC
Which Browser was this in? Does this impact FF and IE? Are the input boxes usable at all?

Comment 2 Rajan Timaniya 2010-06-18 14:31:23 UTC
Tested with FF 3.0 and IE6, both are impacted. 
For FF input boxes unusable and in IE its slightly hided at the bottom.

Comment 3 Lukas Krejci 2010-06-25 12:08:38 UTC
Note that this only happens when one resizes the window (in FF, not sure about IE). When the page is loaded for the first time, it seems to look OK with the inputs being fully visible. The page distorts only upon resizing (again I tested this quickly only in FF, IE tests pending).

Comment 4 Lukas Krejci 2010-06-25 12:13:40 UTC
Disregard my previous comment.

This seems to happen when the horizontal resolution is low enough to break the top line with timeline event type selection checkboxes (i.e. alerts, events, configuration changes, ...) to multiple lines. The attached screenshot shows that problem.

Comment 5 Lukas Krejci 2010-06-29 13:59:52 UTC
Commit 636aaf2 fixes this

Comment 6 Rajan Timaniya 2010-06-30 11:25:43 UTC
Verified on JON 2.4 GA_QA (tag-jon-release build #44)
Revision: 10751

Tested with FF-3.0.19, IE-6 and IE-7
SUMMARY->TIMELINE UI shows all input box.

Comment 7 Corey Welton 2010-08-12 16:54:54 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.